/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.wahl.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QWahltermin extends EntityPathBase<Wahltermin> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
	// Rolle
, "einsehenRolle.mandant"
	// Mandant
	// Wahltermin
, "stichwahlWahlterminUrspruenglich.customDataStorage"
, "stichwahlWahlterminUrspruenglich.einsehenRolle"
, "stichwahlWahlterminUrspruenglich.mandant"
, "stichwahlWahlterminUrspruenglich.stichwahlWahlterminUrspruenglich"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QWahltermin wahltermin = new QWahltermin("wahltermin");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final EnumPath<de.ivu.elect.business.personenpruefung.control.wahlrecht.WahlrechtStaatsangehoerigkeit> buergerZugelassen = createEnum("buergerZugelassen", de.ivu.elect.business.personenpruefung.control.wahlrecht.WahlrechtStaatsangehoerigkeit.class);

  public final EnumPath<de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen> dokumentvorlagen = createEnum("dokumentvorlagen", de.ivu.elect.business.wahl.entity.WahlartDokumentvorlagen.class);

  public final StringPath farbe = createString("farbe");

  public final StringPath name = createString("name");

  public final StringPath nummer = createString("nummer");

  public final EnumPath<de.ivu.elect.business.wahl.entity.WahlterminStatus> status = createEnum("status", de.ivu.elect.business.wahl.entity.WahlterminStatus.class);

  public final BooleanPath stichwahlMoeglich = createBoolean("stichwahlMoeglich");

  public final DateTimePath<java.util.Date> stichwahlWahldatum = createDateTime("stichwahlWahldatum", java.util.Date.class);

  public final DateTimePath<java.util.Date> wahldatum = createDateTime("wahldatum", java.util.Date.class);


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  public final de.ivu.elect.business.benutzerverwaltung.entity.QRolle einsehenRolle;

  public final de.ivu.elect.business.mandant.entity.QMandant mandant;

  public final de.ivu.elect.business.wahl.entity.QWahltermin stichwahlWahlterminUrspruenglich;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  public final SetPath<de.ivu.elect.business.wahl.entity.Wahl, de.ivu.elect.business.wahl.entity.QWahl> wahlsByWahltermin = this.<de.ivu.elect.business.wahl.entity.Wahl, de.ivu.elect.business.wahl.entity.QWahl>createSet("wahlsByWahltermin", de.ivu.elect.business.wahl.entity.Wahl.class, de.ivu.elect.business.wahl.entity.QWahl.class, PathInits.DIRECT);

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QWahltermin(Class<? extends Wahltermin> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
    this.einsehenRolle = inits.isInitialized("einsehenRolle") ? new de.ivu.elect.business.benutzerverwaltung.entity.QRolle(forProperty("einsehenRolle"), inits.get("einsehenRolle")) : null;// de.ivu.elect.business.benutzerverwaltung.entity.QRolle.rolle;
    this.mandant = inits.isInitialized("mandant") ? new de.ivu.elect.business.mandant.entity.QMandant(forProperty("mandant"), inits.get("mandant")) : null;// de.ivu.elect.business.mandant.entity.QMandant.mandant;
    this.stichwahlWahlterminUrspruenglich = inits.isInitialized("stichwahlWahlterminUrspruenglich") ? new de.ivu.elect.business.wahl.entity.QWahltermin(forProperty("stichwahlWahlterminUrspruenglich"), inits.get("stichwahlWahlterminUrspruenglich")) : null;// de.ivu.elect.business.wahl.entity.QWahltermin.wahltermin;
  }

  public QWahltermin(String variable) {
    this(Wahltermin.class, forVariable(variable), INITS);
  }

  public QWahltermin(Path<? extends Wahltermin> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QWahltermin(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QWahltermin(PathMetadata metadata, PathInits inits) {
    this(Wahltermin.class, metadata, inits);
  }
}
